Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.jaxp
Class DocumentBuilderImpl

    java.lang.Object
      |
      +--javax.xml.parsers.DocumentBuilder
            |
            +--org.apache.xerces.jaxp.DocumentBuilderImpl

All Implemented Interfaces:
  JAXPConstants

public class DocumentBuilderImpl
extends javax.xml.parsers.DocumentBuilder
implements JAXPConstants

Version:
  $Id: DocumentBuilderImpl.java,v 1.19 2003/01/11 00:20:50 neilg Exp $
Author:
  Rajiv Mordani, Edwin Goei

Fields inherited from interface org.apache.xerces.jaxp.JAXPConstants
`JAXP_SCHEMA_LANGUAGE, JAXP_SCHEMA_SOURCE, W3C_XML_SCHEMA`

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation()`
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`org.w3c.dom.Document` | `newDocument()` Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource is)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler eh)`

Methods inherited from class javax.xml.parsers.DocumentBuilder
`parse, parse, parse, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### newDocument

    public org.w3c.dom.Document newDocument()

  Non-preferred: use the getDOMImplementation() method instead of this one to get a DOM Level 2 DOMImplementation object and then use DOM Level 2 methods to create a DOM Document object.
  Overrides:
    `newDocument` in class `javax.xml.parsers.DocumentBuilder`

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Overrides:
    `getDOMImplementation` in class `javax.xml.parsers.DocumentBuilder`

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource is)
                               throws org.xml.sax.SAXException,
                                      java.io.IOException

  Overrides:
    `parse` in class `javax.xml.parsers.DocumentBuilder`

### isNamespaceAware

    public boolean isNamespaceAware()

  Overrides:
    `isNamespaceAware` in class `javax.xml.parsers.DocumentBuilder`

### isValidating

    public boolean isValidating()

  Overrides:
    `isValidating` in class `javax.xml.parsers.DocumentBuilder`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Overrides:
    `setEntityResolver` in class `javax.xml.parsers.DocumentBuilder`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

  Overrides:
    `setErrorHandler` in class `javax.xml.parsers.DocumentBuilder`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.